### Enumeration

# FwupdPlugin IOChannelFlags

#### Declaration

    flags FwupdPlugin.IOChannelFlags

#### Description [src]

The flags used when reading data from the TTY.

#### Members

`FU_IO_CHANNEL_FLAG_NONE`

  No flags are set.

  - Value: `0`
  - Available since: 1.0
`FU_IO_CHANNEL_FLAG_SINGLE_SHOT`

  Only one read or write is expected.

  - Value: `1`
  - Available since: 1.0
`FU_IO_CHANNEL_FLAG_FLUSH_INPUT`

  Flush pending input before writing.

  - Value: `2`
  - Available since: 1.0
`FU_IO_CHANNEL_FLAG_USE_BLOCKING_IO`

  Block waiting for the TTY.

  - Value: `4`
  - Available since: 1.0